public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add the systemd-rfkill test to upstream repository
Date: Fri, 11 Sep 2026 13:18:12 GMT	[thread overview]
Message-ID: <178913269203.1.7853465713855888110.tests-selinux-c8f2e8b1fabb@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : c8f2e8b1fabb9af8ba2139b9ede1e96a5a46bfd1
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2020-09-10T13:09:20+00:00
            Stats  : +212/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/c8f2e8b1fabb9af8ba2139b9ede1e96a5a46bfd1?branch=pr775-checkpolicy-revdeps

            Log:
            add the systemd-rfkill test to upstream repository

The systemd-rfkill service is available in various Fedoras
and RHELs, and that's the reason for running the TC during
upstream testing.

There are no changes in the TC functionality, only moving the
downstream TC to the upstream repo.

---
diff --git a/selinux-policy/systemd-rfkill-and-similar/Makefile b/selinux-policy/systemd-rfkill-and-similar/Makefile
new file mode 100644
index 0000000..1c92453
--- /dev/null
+++ b/selinux-policy/systemd-rfkill-and-similar/Makefile
@@ -0,0 +1,77 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Makefile of /CoreOS/selinux-policy/Regression/systemd-rfkill-and-similar
+#   Description: SELinux interferes with systemd-rfkill and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/systemd-rfkill-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+	./runtest.sh
+
+build: $(BUILT_FILES)
+	chmod a+x runtest.sh
+	chcon -t bin_t runtest.sh
+
+clean:
+	rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+	@echo "Owner:           Milos Malik <mmalik@redhat.com>" > $(METADATA)
+	@echo "Name:            $(TEST)" >> $(METADATA)
+	@echo "TestVersion:     $(TESTVERSION)" >> $(METADATA)
+	@echo "Path:            $(TEST_DIR)" >> $(METADATA)
+	@echo "Description:     SELinux interferes with systemd-rfkill and related programs" >> $(METADATA)
+	@echo "Type:            Regression" >> $(METADATA)
+	@echo "TestTime:        10m" >> $(METADATA)
+	@echo "RunFor:          selinux-policy" >> $(METADATA)
+	@echo "RunFor:          systemd" >> $(METADATA)
+	@echo "Requires:        audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console systemd-udev initscripts procps-ng kernel-modules" >> $(METADATA)
+	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
+	@echo "Environment:     AVC_ERROR=+no_avc_check" >> $(METADATA)
+	@echo "Priority:        Normal" >> $(METADATA)
+	@echo "License:         GPLv2" >> $(METADATA)
+	@echo "Confidential:    no" >> $(METADATA)
+	@echo "Destructive:     no" >> $(METADATA)
+	@echo "Releases:        -RHEL4 -RHEL5 -RHEL6" >> $(METADATA)
+	@echo "Bug:             1290255" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1309839" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1319499" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1388669" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1543650" >> $(METADATA) # Fedora 27
+	@echo "Bug:             1554838" >> $(METADATA) # Fedora 28
+	@echo "Bug:             1557595" >> $(METADATA) # Fedora 27
+	@echo "Bug:             1638981" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1661724" >> $(METADATA) # Fedora 30
+
+	rhts-lint $(METADATA)
+

diff --git a/selinux-policy/systemd-rfkill-and-similar/PURPOSE b/selinux-policy/systemd-rfkill-and-similar/PURPOSE
new file mode 100644
index 0000000..8dfc5e8
--- /dev/null
+++ b/selinux-policy/systemd-rfkill-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/systemd-rfkill-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with systemd-rfkill service and related programs.
+

diff --git a/selinux-policy/systemd-rfkill-and-similar/main.fmf b/selinux-policy/systemd-rfkill-and-similar/main.fmf
new file mode 100644
index 0000000..02f0a3d
--- /dev/null
+++ b/selinux-policy/systemd-rfkill-and-similar/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/systemd-rfkill-and-similar
+tier: 2

diff --git a/selinux-policy/systemd-rfkill-and-similar/runtest.sh b/selinux-policy/systemd-rfkill-and-similar/runtest.sh
new file mode 100755
index 0000000..2d027fb
--- /dev/null
+++ b/selinux-policy/systemd-rfkill-and-similar/runtest.sh
@@ -0,0 +1,128 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /CoreOS/selinux-policy/Regression/systemd-rfkill-and-similar
+#   Description: SELinux interferes with systemd-rfkill and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/lib/systemd/systemd-rfkill"
+FILE_CONTEXT="systemd_rfkill_exec_t"
+SERVICE_PACKAGE="systemd-udev"
+SERVICE_NAME="systemd-rfkill"
+PROCESS_NAME="systemd-rfkill"
+PROCESS_CONTEXT="systemd_rfkill_t"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlRun "rlImport 'selinux-policy/common'"
+        rlSESatisfyRequires
+        rlAssertRpm ${PACKAGE}
+        rlAssertRpm ${PACKAGE}-targeted
+        rlAssertRpm ${SERVICE_PACKAGE}
+        rlRun "rpm -qa kernel\*"
+        rlRun "uname -r"
+
+        rlServiceStop ${SERVICE_NAME}
+        rlFileBackup /etc/shadow
+
+        rlSESetEnforce
+        rlSEStatus
+        rlSESetTimestamp
+        sleep 2
+    rlPhaseEnd
+
+    rlPhaseStartTest "SELinux contexts and rules"
+        rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+        SOURCE_TYPE="init_t" # systemd runs the process
+        rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute } $BOOLEANS"
+        rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition } $BOOLEANS"
+        rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT} $BOOLEANS"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1290255"
+        rlSEMatchPathCon "/var/lib/systemd" "init_var_lib_t"
+        rlSESearchRule "allow systemd_rfkill_t init_var_lib_t : dir { write } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1309839"
+        rlSEMatchPathCon "/var/lib/systemd/rfkill" "systemd_rfkill_var_lib_t"
+        rlSEMatchPathCon "/var/lib/systemd/rfkill/something" "systemd_rfkill_var_lib_t"
+        rlSESearchRule "allow systemd_rfkill_t systemd_rfkill_var_lib_t : file { getattr open read } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1319499 + bz#1661724"
+        rlSEMatchPathCon "/var/lib/systemd/rfkill/something" "systemd_rfkill_var_lib_t"
+        rlSESearchRule "allow systemd_rfkill_t systemd_rfkill_var_lib_t : file { unlink } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1388669"
+        rlSEMatchPathCon "/dev/kmsg" "kmsg_device_t"
+        rlSESearchRule "allow systemd_rfkill_t kmsg_device_t : chr_file { write } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1543650 + bz#1554838"
+        rlSESearchRule "allow systemd_rfkill_t kernel_t : system { module_request } [ domain_kernel_load_modules ]"
+        rlSESearchRule "dontaudit systemd_rfkill_t kernel_t : system { module_request } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1557595"
+        rlSESearchRule "allow systemd_rfkill_t systemd_rfkill_t : capability { sys_admin } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1638981"
+        rlSEMatchPathCon "/run/systemd/journal/socket" "syslogd_var_run_t"
+        rlSESearchRule "allow systemd_rfkill_t syslogd_var_run_t : sock_file { write } [ ]"
+        rlSESearchRule "allow systemd_rfkill_t syslogd_t : unix_dgram_socket { sendto } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "real scenario -- standalone service"
+        rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+        if ! rlSEDefined ${PROCESS_CONTEXT} ; then
+            PROCESS_CONTEXT="unconfined_service_t"
+        fi
+        if systemctl is-enabled ${SERVICE_NAME} | grep -q masked ; then
+            rlRun "systemctl unmask ${SERVICE_NAME}"
+        fi
+        rlRun "modprobe rfkill"
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+        rlRun "restorecon -Rv /run /var" 0-255
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        sleep 2
+        rlSECheckAVC
+
+        rlFileRestore
+        rlServiceRestore ${SERVICE_NAME}
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+

                 reply	other threads:[~2026-09-11 13:18 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913269203.1.7853465713855888110.tests-selinux-c8f2e8b1fabb@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox